sentry-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Na Li (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (SENTRY-2342) Update schema version verification to support multi-version clusters share same DB
Date Thu, 16 Aug 2018 01:17:00 GMT

    [ https://issues.apache.org/jira/browse/SENTRY-2342?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16581824#comment-16581824
] 

Na Li commented on SENTRY-2342:
-------------------------------

[~spena] I am testing on real environment, and found additional place to change. Will update
the fix accordingly.



> Update schema version verification to support multi-version clusters share same DB
> ----------------------------------------------------------------------------------
>
>                 Key: SENTRY-2342
>                 URL: https://issues.apache.org/jira/browse/SENTRY-2342
>             Project: Sentry
>          Issue Type: New Feature
>          Components: Sentry
>    Affects Versions: 2.1.0
>            Reporter: Na Li
>            Assignee: Na Li
>            Priority: Critical
>         Attachments: SENTRY-2342.001.patch, SENTRY-2342.001.patch
>
>
> Right now, sentry software has the schema version it supports hard-coded, and before
starting its service, it gets schema version from DB and compare these two values. If they
are not equal, exception will be thrown and sentry service won't start.
> To support sentry services with different versions that connect to the same DB at the
same time, the schema version checking behavior has to be changed to allow sentry software
with older version to work with DB with newer schema version.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message